PWMTESTPERF(1)

NAME
pwmtestperf - Applies a simple test pattern to a PWM output

SYNOPSIS

pwmtestperf [-c chipno] [-p pwmno] [-P periodlength] [-S step] [-v]

Description
pwmtestperf is a debug tool to test repeated setting of the output waveform emitted by a PWM. The PWM that is used by this test is specified by chipno and pwmno.

The fixed period is specified by periodlength and the duty length is increased in each steps by step up from 0 to periodlength. (If step is negative, it decreases from periodlength to 0.

Options

-c chipno
    Each PWM chip has an identifying chip number. pwmtestperf configures a PWM line provided by chip number chipno. chipno defaults to 0.

-p pwmno
    Each PWM chip provides a number of PWM outputs. pwmtestperf configures the pwmnoth PWM output of the selected chip. pwmno defaults to 0.

-P periodlength
    periodlength in nanoseconds defines the length of the periods of the waveform to be set.

-S step
    in nanoseconds defines the step the duty length is increased in each step. (Or decreased if negative.)

-v  Emit some information during runtime.

SEE ALSO
pwmround(1), pwmset(1)